
QGIS Application - Bug report #15359

Processing : Error  global name 'algList' is not defined' loading on line script

2016-07-28 04:53 AM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23291

Description

To reproduce :

execute 'Get scripts from one line scripts collection' in processing.

eg select 'Hex grid from layer bound '

-> An error has occurred while executing Python code:

NameError: global name 'algList' is not defined 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS/apps/qgis/./python/plugins\\processing\\gui\\ProcessingToolbox.py", line 276, in executeAlgorithm

    action.execute()

Only on QGIS 2.16

  File "C:/PROGRA~1/QGIS/apps/qgis/./python/plugins\\processing\\gui\\GetScriptsAndModels.py", line 68, in execute

    algList.reloadProvider('script')

NameError: global name 'algList' is not defined

Associated revisions

Revision 98a55274 - 2016-08-01 02:04 PM - Alexander Bruy

[processing] add missed import (fix #15359)

Revision b666fc39 - 2016-08-01 02:05 PM - Alexander Bruy

[processing] add missed import (fix #15359)

(cherry picked from commit 98a55274063fcfe8174b3c3d0369d72d5e2f7c73)

Revision e7d7560b - 2016-08-01 02:06 PM - Alexander Bruy

[processing] add missed import (fix #15359)

(cherry picked from commit 98a55274063fcfe8174b3c3d0369d72d5e2f7c73)
History

#1 - 2016-08-01 05:02 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"98a55274063fcfe8174b3c3d0369d72d5e2f7c73".

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
